#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Monitors S.M.A.R.T. capable devices for imminent failure
Name:           plasma-disks
Version: 5.20.4
Release:        %mkrel %rel
License:        GPLv2+ and LGPLv3+ and BSD and CC0
Group:          System/Base
URL:            https://www.kde.org/workspaces/plasmadesktop/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Upstream patches (100-200)

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)

# KDE Frameworks
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5Declarative)

BuildRequires:  smartmontools
Requires:       smartmontools

%description
Plasma Disks monitors S.M.A.R.T. data of disks and alerts the user when
signs of imminent failure appear.

%files -f %name.lang
%_libexecdir/kauth/kded-smart-helper
%_qt5_plugindir/kcms/smart.so
%_kf5_plugindir/kded/smart.so
%_kf5_datadir/dbus-1/system-services/org.kde.kded.smart.service
%_kf5_datadir/dbus-1/system.d/org.kde.kded.smart.conf
%_kf5_knotificationsdir/org.kde.kded.smart.notifyrc
%_kf5_datadir/kpackage/kcms/plasma_disks/
%_kf5_services/smart.desktop
%_kf5_metainfodir/org.kde.plasma.disks.metainfo.xml
%_kf5_datadir/polkit-1/actions/org.kde.kded.smart.policy

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654204
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645426
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639995
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637748
- New version 5.20.1

* Thu Oct 15 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1636167
- initial package plasma-disks

